package cv08.client;

import java.io.IOException;
import java.net.Socket;

/**
 * @author Karel Cemus
 */
public class Client {

    public static void main( String[] args ) throws IOException {

        Socket server = new Socket( "127.0.0.1", 4567 );

        CommandReader reader = new CommandReader( System.in, server.getOutputStream() );
        AnswerPrinter printer = new AnswerPrinter( server.getInputStream() );

        new Thread( reader ).start();
        new Thread( printer ).start();
    }
}
