package cv08.client;

import java.io.InputStream;
import java.util.Scanner;

/**
 * @author Karel Cemus
 */
public class AnswerPrinter implements Runnable {

    private final Scanner input;

    public AnswerPrinter( InputStream stream ) {
        input = new Scanner( stream );
    }

    @Override
    public void run() {

        while ( input.hasNext() )
            System.out.println( input.nextLine() );
    }
}
