package cv08.server.action;

import cv08.server.Client;
import cv08.server.Room;

/**
 * Akce pro vypsani seznamu mistnosti
 *
 * @author Karel Cemus
 */
public class ListAction extends Action {

    public ListAction( Client client ) {
        super( client );
    }

    @Override
    public void execute() {
        StringBuilder builder = new StringBuilder( "LIST" );
        for ( String room : Room.list() ) builder.append( ' ' ).append( room );
        client.send( builder.toString() );
    }
}
